Search Object Records
Supported Objects are custom objects and standard objects like “business”. See: https://help.hoopai.com/api-reference/overview/objects/87cpx-379336
POST
/
objects
/
{schemaKey}
/
records
/
search
Search Object Records
curl --request POST \
--url https://services.leadconnectorhq.com/objects/{schemaKey}/records/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"locationId": "ve9EPM428h8vShlRW1KT",
"page": 1,
"pageLimit": 10,
"query": "Buddy",
"searchAfter": [
"sx6wyHhbFdRXh302Lunr",
"sx6wyHhbFdRXh302Lunr"
]
}
'const options = {
method: 'POST',
headers: {
Version: '<version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
locationId: 've9EPM428h8vShlRW1KT',
page: 1,
pageLimit: 10,
query: 'Buddy',
searchAfter: ['sx6wyHhbFdRXh302Lunr', 'sx6wyHhbFdRXh302Lunr']
})
};
fetch('https://services.leadconnectorhq.com/objects/{schemaKey}/records/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/objects/{schemaKey}/records/search"
payload = {
"locationId": "ve9EPM428h8vShlRW1KT",
"page": 1,
"pageLimit": 10,
"query": "Buddy",
"searchAfter": ["sx6wyHhbFdRXh302Lunr", "sx6wyHhbFdRXh302Lunr"]
}
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"total": 20,
"records": [
{
"id": "661c06b4ffde146bdb469442",
"owner": [
"sx6wyHhbFdRXh302Lunr"
],
"followers": [
"sx6wyHhbFdRXh302Lunr",
"v5cEPM428h8vShlRW1KT"
],
"properties": {
"customer_number": 1424,
"ticket_name": "Customer not able login",
"phone_number": "+917000000000",
"money": {
"currency": "default",
"value": 100
},
"type_of_ticket": "doubt",
"section_of_app": [
"contacts",
"smartlist"
],
"recieved_on": "2024-07-11",
"my_files": [
{
"url": "---url_of_file---"
}
],
"my_textbox_list.option_a": "Value 1",
"my_textbox_list.option_b": "Value 2"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"locationId": "ve9EPM428h8vShlRW1KT",
"objectId": "6d6f6e676f5f6576656e7473",
"objectKey": "custom_objects.pet",
"createdBy": {
"channel": "WEB_USER",
"createdAt": "2025-01-02T09:35:39.032Z",
"source": "PUBLIC_API",
"sourceId": "26653146-ec82-435d-8a99-84ecdb7fde13"
},
"lastUpdatedBy": {
"channel": "WEB_USER",
"createdAt": "2025-01-02T09:35:39.032Z",
"source": "PUBLIC_API",
"sourceId": "26653146-ec82-435d-8a99-84ecdb7fde13"
},
"searchAfter": [
1738683828372,
"67a235b49b289431bcf657f8"
]
}
]
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}Authorizations
Body
application/json
Last modified on March 8, 2026
Was this page helpful?
Search Object Records
curl --request POST \
--url https://services.leadconnectorhq.com/objects/{schemaKey}/records/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"locationId": "ve9EPM428h8vShlRW1KT",
"page": 1,
"pageLimit": 10,
"query": "Buddy",
"searchAfter": [
"sx6wyHhbFdRXh302Lunr",
"sx6wyHhbFdRXh302Lunr"
]
}
'const options = {
method: 'POST',
headers: {
Version: '<version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
locationId: 've9EPM428h8vShlRW1KT',
page: 1,
pageLimit: 10,
query: 'Buddy',
searchAfter: ['sx6wyHhbFdRXh302Lunr', 'sx6wyHhbFdRXh302Lunr']
})
};
fetch('https://services.leadconnectorhq.com/objects/{schemaKey}/records/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/objects/{schemaKey}/records/search"
payload = {
"locationId": "ve9EPM428h8vShlRW1KT",
"page": 1,
"pageLimit": 10,
"query": "Buddy",
"searchAfter": ["sx6wyHhbFdRXh302Lunr", "sx6wyHhbFdRXh302Lunr"]
}
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"total": 20,
"records": [
{
"id": "661c06b4ffde146bdb469442",
"owner": [
"sx6wyHhbFdRXh302Lunr"
],
"followers": [
"sx6wyHhbFdRXh302Lunr",
"v5cEPM428h8vShlRW1KT"
],
"properties": {
"customer_number": 1424,
"ticket_name": "Customer not able login",
"phone_number": "+917000000000",
"money": {
"currency": "default",
"value": 100
},
"type_of_ticket": "doubt",
"section_of_app": [
"contacts",
"smartlist"
],
"recieved_on": "2024-07-11",
"my_files": [
{
"url": "---url_of_file---"
}
],
"my_textbox_list.option_a": "Value 1",
"my_textbox_list.option_b": "Value 2"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"locationId": "ve9EPM428h8vShlRW1KT",
"objectId": "6d6f6e676f5f6576656e7473",
"objectKey": "custom_objects.pet",
"createdBy": {
"channel": "WEB_USER",
"createdAt": "2025-01-02T09:35:39.032Z",
"source": "PUBLIC_API",
"sourceId": "26653146-ec82-435d-8a99-84ecdb7fde13"
},
"lastUpdatedBy": {
"channel": "WEB_USER",
"createdAt": "2025-01-02T09:35:39.032Z",
"source": "PUBLIC_API",
"sourceId": "26653146-ec82-435d-8a99-84ecdb7fde13"
},
"searchAfter": [
1738683828372,
"67a235b49b289431bcf657f8"
]
}
]
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}